import 'isomorphic-fetch';
import { ClientRequest, SdkConfig } from '@cxcloud/ct-types/sdk';
export declare function getConfig(): SdkConfig;
export declare function getClient(): any;
export declare function getServices(): any;
export declare function clientExecute<T>(request: ClientRequest): Promise<T>;
export declare function clientProcess<T>(request: ClientRequest): Promise<T>;
export declare enum methods {
    GET = "GET",
    POST = "POST",
    PATCH = "PATCH",
    DELETE = "DELETE",
}
export declare function authenticatedFormRequest<T>(requestOptions: any, user?: boolean): Promise<T>;
